Subject: Re: [PATCH] rebase -i: remove CHERRY_PICK_HEAD when cherry-pick failed

From: Jonathan Nieder <[email-masked]>
Date: Wed, 4 Apr 2012 15:20:05 -0500

Jonathan Nieder wrote:

>  - when "git cherry-pick" performs a merge and encounters conflicts,
>    it prints a message and exits, writing CHERRY_PICK_HEAD to tell
>    the operator what command to use (instead of "git commit" or
>    "git cherry-pick --continue") when the problem is resolved.

The above paragraph doesn't make any sense.  I meant:

	When cherry-pick encounters conflicts, it prints a message
	telling the operator what command to use (namely "git commit"
	or "git cherry-pick --continue") once the problem is resolved
	and writes CHERRY_PICK_HEAD to make that command work.

Sorry for the noise.

>    If my script sets GIT_CHERRY_PICK_HELP, it will print a different
>    message and cherry-pick does not write CHERRY_PICK_HEAD because
>    the operator is going to run "myscript --resume" instead of
>    "git commit" or "git cherry-pick --continue" when the problem is
>    resolved.

Jonathan